<?php
/**
 * @package     CMGiftCard
 * @subpackage  com_cmgiftcard
 * @copyright   Copyright (C) 2016-2024 CMExension
 * @license     GNU General Public License version 2 or later
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Controller\BaseController;
use Joomla\CMS\HTML\HTMLHelper;

HTMLHelper::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR . '/helpers/html');
require_once JPATH_COMPONENT_ADMINISTRATOR . '/helpers/cmgiftcard.php';

$controller = BaseController::getInstance('CMGiftCard');
$controller->execute(Factory::getApplication()->input->get('task'));
$controller->redirect();
